# -*- coding: utf-8 -*-

from openerp import api, fields, models
from openerp.exceptions import except_orm

class StockInventoryInsert(models.Model):
	_inherit = 'stock.inventory'

	@api.model
	def insert_stock_inventory_line(self, values):
		stock_inventory = self.env['stock.inventory'].search([('id','=',values['id'])])
		stock_inventory_line = self.env['stock.inventory.line']
		lines = stock_inventory_line.search([
			('inventory_id', '=', values['id']),
			('product_id', '=', values['product_id']),
		])
		if len(lines) == 0:
			lines = {
				'inventory_id' : values['id'],
				'product_id': values['product_id'],
				'product_qty': 1,
				'location_id': stock_inventory.location_id.id,
			}
			stock_inventory_line.create(lines);
		if len(lines) == 1:
			lines.write({
				'product_qty': lines.product_qty + 1,
			})
